/***************************************************************************
                          constantes.h  -  description
                             -------------------
    creation             : wed feb 20, 2008
    copyright            : (C) 2008 by Liva Ralaivola
    email                : liva.ralaivola@lif.univ-mrs.fr
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


/***************************************************************************
 *   Dfinition de quelques constantes de base servant  plusieurs         *
 *   endroits dans le programme.                                           *
 ***************************************************************************/

#ifndef __CONSTANTES__
#define __CONSTANTES__

/** Tableau uni-dimensionnel de 100 cases
    pour la reprsentation d'un damier 8x8 */
#define SIDE       8
#define LONG_SIDE  10
#define MAX_INDEX  100
#define DIRECTIONS 8

/** Les 8 directions a scruter */
#define NO -11
#define N  -10
#define NE  -9
#define O   -1
#define E    1
#define SO   9
#define S   10
#define SE  11

/** Ces choix de NOIR et BLANC permettent
    de passer d'une couleur  la couleur 
    adverse trs facilement                */
#define JOUEURS 2
#define NOIR    0
#define BLANC  +1
#define VIDE   +2
#define BORD   -1

/** Autres constantes dpendant de l'implmentation */
#define MAX_MOBILITE 30
#define MAX_COUPS    60
#define MAX_STRING   256
#define MAX_MATERIEL 64

#define HUMAIN    0
#define MACHINE   1

#define UNSET  -99
#endif
