/***************************************************************************
                          othellier.h  -  description
                             -------------------
    creation             : wed feb 20, 2008
    copyright            : (C) 2008 by Liva Ralaivola
    email                : liva.ralaivola@lif.univ-mrs.fr
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   Les prototypes de fonctions pour la gestions d'othellier              *
 *                                                                         *
 ***************************************************************************/

#ifndef __OTHELLIER__
#define __OTHELLIER__

#include "structures.h"

/** Initialise l'othellier en position de dpart */
void initialiser (othellier);

/*******************************************************************
 * Renvoie 1 si le coup dcrit par une couleur et une position     *
 * est lgal et remplit le tableau de retournement s'il le faut    *
 * et renvoie -1 sinon. Le dernier paramtre permet de spcifier   *
 * si l'on souhaite une recherche complte de coup lgal ou pas :  *
 * n'est utile que pour la programmation de l'ia.                  *
*******************************************************************/
int  legal       (othellier, coup, int);


/** Joue le coup, qui est lgal */
void joue_coup   (othellier, coup);

/** annule le coup, qui est lgal */
void annule_coup (othellier, coup);

/** retourne vrai si le joueur de la couleur en question peut jouer */
int peut_jouer(othellier, int);

/** retourne vrai si l'othellier est bloqu, i.e. fin de partie */
int bloque(othellier);

/** retourne la couleur du joueur ayant le trait etant 
    donn le dernier joueur  avoir jou */
int trait(othellier, int);

#endif

